using Cryville.Crtr.Extension;
using Cryville.Crtr.Extensions.Umg;
using System.Collections.Generic;

namespace Cryville.Crtr.Extensions {
	public class Extension : ExtensionInterface {
		public override IEnumerable<ResourceConverter> GetResourceConverters() {
			return new ResourceConverter[] {
				new ExtensionImporter(),
				new ChartResourceImporter(),
				new RulesetResourceImporter(),
				new SkinResourceImporter(),
			};
		}

		public override IEnumerable<LocalResourceFinder> GetResourceFinders() {
			return null;
		}
	}
}
